| Home | Libraries | People | FAQ | More

### Class template tuple

Fusion's implementation of the TR1 Tuple is also a fusion Forward Sequence. As such the fusion tuple type provides a lot of functionality beyond that required by TR1.

Currently tuple is basically a synonym for `vector`, although this may be changed in future releases of fusion.

##### Header

    #include <boost/fusion/tuple.hpp>
    #include <boost/fusion/include/tuple.hpp>

    #include <boost/fusion/tuple/tuple.hpp>
    #include <boost/fusion/tuple/tuple_fwd.hpp>
    #include <boost/fusion/include/tuple_fwd.hpp>

    // for creation function
    #include <boost/fusion/tuple/tuple_tie.hpp>
    #include <boost/fusion/include/tuple_tie.hpp>
    #include <boost/fusion/tuple/make_tuple.hpp>
    #include <boost/fusion/include/make_tuple.hpp>

##### Synopsis

    template<
        typename T1 = unspecified,
        typename T2 = unspecified,
        ...
        typename TN = unspecified>
    class tuple;